import React, { Component } from "react";
import { injectIntl } from 'react-intl';
import { Keyboard, ScreenShare } from "@material-ui/icons";
import { formatMessage, MainMenuContribution, withModulesManager } from "@openimis/fe-core";

class MyModuleMainMenu extends Component {
    render() {
        const { intl } = this.props;
        let entries = [];
        entries.push({
            text: formatMessage(intl, "my_module", "menu.my_entities"),
            icon: <ScreenShare />,
            route: "/my_module/my_entities"
        });
        entries.push({
            text: formatMessage(intl, "my_module", "menu.my_entity"),
            icon: <Keyboard />,
            route: "/my_module/my_entity"
        });
        if (!entries.length) return null;
        return (
            <MainMenuContribution
                {...this.props}
                header={formatMessage(intl, "my_module", "mainMenu")}
                icon={<ScreenShare />}
                entries={entries}
            />
        );
    }
}

export default withModulesManager(injectIntl(MyModuleMainMenu));
